#!/usr/bin/env node

/**
 * This script checks if a Mac package can be installed on a specific architecture.
 */

if (process.env.MOBROWSER_FORCE_INSTALL !== 'true' && process.arch !== 'arm64') {
    // Do not install the package if the architecture does not match 'arm64'
    // and no MOBROWSER_FORCE_INSTALL environment variable is set.
    process.exit(1);
}
